﻿using WordPressPCL;
using WordPressPCL.Models;

namespace TestProject;

/// <summary>
/// 프로그램
/// </summary>
class Program
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Private

    #region 프로그램 시작하기 - Main()

    /// <summary>
    /// 프로그램 시작하기
    /// </summary>
    /// <returns>태스크</returns>
    private async static Task Main()
    {
        string baseURL             = "https://somebody_wordpress.com/wp-json/";
        string userID              = "사용자ID";
        string applicationPassword = "애플리케이션 패스워드";

        WordPressClient client = new WordPressClient(baseURL);

        client.Auth.UseBasicAuth(userID, applicationPassword);

        try
        {
            int  postID  = 310;
            bool useAuth = true; // 공개 포스트는 false로 해도 된다.

            Post post = await client.Posts.GetByIDAsync(postID, false, useAuth);

            if(post != null)
            {
                Console.WriteLine($"포스트를 찾았습니다 : {post.Title.Rendered}");
            }
            else
            {
                Console.WriteLine("포스트를 찾을 수 없습니다!");
            }
        }
        catch(Exception exception)
        {
            Console.WriteLine($"에러가 발생했습니다 : {exception.Message}");
        }
    }

    #endregion
}